=== requirements.txt ===
filelock>=3.20.3
cabarchive>=0.2.4 ;sys_platform == 'win32'
striprtf>=0.0.26 ;sys_platform == 'win32'
