=== tests/requirements.txt ===
coverage==7.13.4
pytest==9.0.2
